## net.sf.saxon.regex
Class SurrogateRegexTranslator

    java.lang.Object
      net.sf.saxon.regex.RegexTranslator
          net.sf.saxon.regex.SurrogateRegexTranslator

Direct Known Subclasses:
  JDK14RegexTranslator

    public abstract class SurrogateRegexTranslator

extends RegexTranslator

Abstract superclass for the JDK 1.4 and .NET regex translators, or in principle for any other target regex dialect in which "." matches a UTF-16 16-bit code rather than a Unicode character

Nested Class Summary
`static class` `SurrogateRegexTranslator.BackReference` Character class representing a back-reference.
`protected static class` `SurrogateRegexTranslator.CharClass` Object representing a character class
`static class` `SurrogateRegexTranslator.CharRange` Character class that matches any character within a range of codepoints
`static class` `SurrogateRegexTranslator.Complement` Character class representing the complement of another character class, that is, all characters that the other class doesn't match.
`static class` `SurrogateRegexTranslator.Dot` Character class representing the characters matched by the XPath "." metacharacter
`static class` `SurrogateRegexTranslator.Empty` Character class that matches nothing
`static class` `SurrogateRegexTranslator.Property` Character class containing characters that share a given Unicode property
`static class` `SurrogateRegexTranslator.SimpleCharClass` Simple Character Class - essentially, anything other than a Union or Subtraction between two character classes.
`static class` `SurrogateRegexTranslator.SingleChar` Character class that matches a single specific character in the BMP
`static class` `SurrogateRegexTranslator.WideSingleChar` Character class that matches a single specific character outside the BMP

Nested classes/interfaces inherited from class net.sf.saxon.regex.RegexTranslator
`RegexTranslator.Range`

Field Summary
`protected static SurrogateRegexTranslator.CharClass[]` `categoryCharClasses`
`protected static SurrogateRegexTranslator.CharClass[]` `subCategoryCharClasses`

Fields inherited from class net.sf.saxon.regex.RegexTranslator
`ALL, captures, caseBlind, curChar, currentCapture, eos, ignoreWhitespace, inCharClassExpr, isXPath, length, NONE, NOT_ALLOWED_CLASS, pos, regExp, result, SOME, SURROGATES1_CLASS, SURROGATES2_CLASS, xmlVersion`

Constructor Summary
`SurrogateRegexTranslator()`

Method Summary

Methods inherited from class net.sf.saxon.regex.RegexTranslator
`absorbSurrogatePair, advance, copyCurChar, expect, highSurrogateRanges, isAsciiAlnum, isBlock, isJavaMetaChar, lowSurrogateRanges, makeException, makeException, parseQuantExact, recede, sortRangeList, translateAtom, translateBranch, translateQuantifier, translateQuantity, translateRegExp, translateTop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categoryCharClasses

    protected static final SurrogateRegexTranslator.CharClass[] categoryCharClasses

### subCategoryCharClasses

    protected static final SurrogateRegexTranslator.CharClass[] subCategoryCharClasses

Constructor Detail

### SurrogateRegexTranslator

    public SurrogateRegexTranslator()

Copyright (c) Saxonica Limited. All rights reserved.